Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.interfaces
Class EPPPremiumDomainTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.premiumdomain.EPPBaseTst
                  com.verisign.epp.interfaces.EPPPremiumDomainTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPPremiumDomainTst

extends EPPBaseTst

Is a unit test of the using the Domain Extension classes with the `EPPDomain` class. The unit test will initialize a session with an EPP Server, will invoke `EPPDomain` operations with Premiumdomain Extensions, and will end a session with an EPP Server. The configuration file used by the unit test defaults to epp.config, but can be changed by passing the file path as the first command line argument. The unit test can be run in multiple threads by setting the "threads" system property. For example, the unit test can be run in 2 threads with the configuration file ../../epp.config with the following command:
java com.verisign.epp.interfaces.EPPPremiumDomainTst -Dthreads=2 ../../epp.config

Field Summary

Fields inherited from class com.verisign.epp.codec.premiumdomain.EPPBaseTst
`configFileName, iteration`

Constructor Summary
`EPPPremiumDomainTst(java.lang.String aName)` Allocates an `EPPPremiumDomainTst` with a logical name.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off (`false`).
`void` | `nonPremiumSingleDomainCheckWithFlagFalse(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `nonPremiumSingleDomainCheckWithFlagTrue(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `nonPremiumSingleDomainCheckWithNoPremiumExtension(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `premiumDomainUpdate(EPPDomain aDomain)` Unit test of `EPPDomain.sendUpdate`.
`void` | `premiumMultipleDomainCheckWithFlagFalse(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `premiumMultipleDomainCheckWithFlagTrue(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `premiumSingleDomainCheckWithFlagFalse(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`void` | `premiumSingleDomainCheckWithFlagTrue(EPPDomain aDomain)` Unit test of `EPPDomain.sendCheck`.
`protected void` | `setUp()` JUNIT `setUp` method, which sets the default client Id to "theRegistrar".
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPPremiumDomainTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testPremiumDomain()` JUNIT test method to implement the `EPPPremiumDomainTst TestCase`.

Methods inherited from class com.verisign.epp.codec.premiumdomain.EPPBaseTst
`createSession, endApplication, endSession, getSession, handleException, initApplication, makeDomainName, printEnd, printError, printMsg, printStart`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPPremiumDomainTst

    public EPPPremiumDomainTst(java.lang.String aName)

  Allocates an `EPPPremiumDomainTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `aName` - Logical name of the test

Method Detail

### testPremiumDomain

    public void testPremiumDomain()

  JUNIT test method to implement the `EPPPremiumDomainTst TestCase`. Each sub-test will be invoked in order to satisfy testing the EPPDomain interface.

### nonPremiumSingleDomainCheckWithNoPremiumExtension

    public void nonPremiumSingleDomainCheckWithNoPremiumExtension(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### nonPremiumSingleDomainCheckWithFlagTrue

    public void nonPremiumSingleDomainCheckWithFlagTrue(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### nonPremiumSingleDomainCheckWithFlagFalse

    public void nonPremiumSingleDomainCheckWithFlagFalse(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### premiumSingleDomainCheckWithFlagTrue

    public void premiumSingleDomainCheckWithFlagTrue(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### premiumSingleDomainCheckWithFlagFalse

    public void premiumSingleDomainCheckWithFlagFalse(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### premiumMultipleDomainCheckWithFlagTrue

    public void premiumMultipleDomainCheckWithFlagTrue(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### premiumMultipleDomainCheckWithFlagFalse

    public void premiumMultipleDomainCheckWithFlagFalse(EPPDomain aDomain)

  Unit test of `EPPDomain.sendCheck`.

### premiumDomainUpdate

    public void premiumDomainUpdate(EPPDomain aDomain)

  Unit test of `EPPDomain.sendUpdate`.

### setUp

    protected void setUp()

  JUNIT `setUp` method, which sets the default client Id to "theRegistrar".

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPPremiumDomainTst`.

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off (`false`). If validate is not specified, validation will be off.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.